searchNodes=[{"doc":"This module provides functions that implement somee of the Unicode stanards:The Unicode Case Folding algorithm to provide case-independent equality checking irrespective of language or script.The Unicode Segmentation algorithm to detect, break or splut strings into grapheme clusters, works and sentences.","ref":"Unicode.String.html","title":"Unicode.String","type":"module"},{"doc":"Returns match data indicating if the requested break is applicable at the point between the two string segments represented by {string_before, string_after}.Argumentsstring is any String.t.options is a keyword list of options.ReturnsA tuple indicating if a break would be applicable at this point between string_before and string_after.{:break, {string_before, {matched_string, remaining_string}}} or{:no_break, {string_before, {matched_string, remaining_string}}} or{:error, reason}Options:locale is any locale returned by Unicode.String.Segment.known_locales/0. The default is &quot;root&quot; which corresponds to the break rules defined by the Unicode Segmentation rules.:break is the type of break. It is one of :grapheme, :word, :line or :sentence. The default is :word.:suppressions is a boolean which, if true, will suppress breaks for common abbreviations defined for the locale. The default is true.Examplesiex&gt; Unicode.String.break {&quot;This is &quot;, &quot;some words&quot;} {:break, {&quot;This is &quot;, {&quot;s&quot;, &quot;ome words&quot;}}} iex&gt; Unicode.String.break {&quot;This is &quot;, &quot;some words&quot;}, break: :sentence {:no_break, {&quot;This is &quot;, {&quot;s&quot;, &quot;ome words&quot;}}} iex&gt; Unicode.String.break {&quot;This is one. &quot;, &quot;This is some words.&quot;}, break: :sentence {:break, {&quot;This is one. &quot;, {&quot;T&quot;, &quot;his is some words.&quot;}}}","ref":"Unicode.String.html#break/2","title":"Unicode.String.break/2","type":"function"},{"doc":"Returns a boolean indicating if the requested break is applicable at the point between the two string segments represented by {string_before, string_after}.Argumentsstring is any String.t.options is a keyword list of options.Returnstrue or false orraises an exception if there is an errorOptions:locale is any locale returned by Unicode.String.Segment.known_locales/0. The default is &quot;root&quot; which corresponds to the break rules defined by the Unicode Segmentation rules.:break is the type of break. It is one of :grapheme, :word, :line or :sentence. The default is :word.:suppressions is a boolean which, if true, will suppress breaks for common abbreviations defined for the locale. The default is true.Examplesiex&gt; Unicode.String.break? {&quot;This is &quot;, &quot;some words&quot;} true iex&gt; Unicode.String.break? {&quot;This is &quot;, &quot;some words&quot;}, break: :sentence false iex&gt; Unicode.String.break? {&quot;This is one. &quot;, &quot;This is some words.&quot;}, break: :sentence true","ref":"Unicode.String.html#break?/2","title":"Unicode.String.break?/2","type":"function"},{"doc":"Compares two strings in a case insensitive manner.Case folding is applied to the two string arguments which are then compared with the == operator.Argumentsstring_a and string_b are two strings to be comparedtype is the case folding type to be applied. The alternatives are :full, :simple and :turkic. The default is :full.Returnstrue or falseNotesThis function applies the Unicode Case Folding algorithmThe algorithm does not apply any treatment to diacritical marks hence &quot;compare strings without accents&quot; is not part of this function.Examplesiex&gt; Unicode.String.equals_ignoring_case? &quot;ABC&quot;, &quot;abc&quot; true iex&gt; Unicode.String.equals_ignoring_case? &quot;beißen&quot;, &quot;beissen&quot; true iex&gt; Unicode.String.equals_ignoring_case? &quot;grüßen&quot;, &quot;grussen&quot; false","ref":"Unicode.String.html#equals_ignoring_case?/3","title":"Unicode.String.equals_ignoring_case?/3","type":"function"},{"doc":"See Unicode.String.Case.Folding.fold/1.","ref":"Unicode.String.html#fold/1","title":"Unicode.String.fold/1","type":"function"},{"doc":"See Unicode.String.Case.Folding.fold/2.","ref":"Unicode.String.html#fold/2","title":"Unicode.String.fold/2","type":"function"},{"doc":"Returns next segment in a string.Argumentsstring is any String.t.options is a keyword list of options.ReturnsA tuple with the segment and the remainder of the string or &quot;&quot; in case the String reached its end.{next_string, rest_of_the_string} or{:error, reason}Options:locale is any locale returned by Unicode.String.Segment.known_locales/0. The default is &quot;root&quot; which corresponds to the break rules defined by the Unicode Segmentation rules.:break is the type of break. It is one of :grapheme, :word, :line or :sentence. The default is :word.:suppressions is a boolean which, if true, will suppress breaks for common abbreviations defined for the locale. The default is true.Examplesiex&gt; Unicode.String.next &quot;This is a sentence. And another.&quot;, break: :word {&quot;This&quot;, &quot; is a sentence. And another.&quot;} iex&gt; Unicode.String.next &quot;This is a sentence. And another.&quot;, break: :sentence {&quot;This is a sentence. &quot;, &quot;And another.&quot;}","ref":"Unicode.String.html#next/2","title":"Unicode.String.next/2","type":"function"},{"doc":"Splits a string according to the specified break type.Argumentsstring is any String.t.options is a keyword list of options.ReturnsA list of strings after applying the specified break rules or{:error, reason}Options:locale is any locale returned by Unicode.String.Segment.known_locales/0. The default is &quot;root&quot; which corresponds to the break rules defined by the Unicode Segmentation rules.:break is the type of break. It is one of :grapheme, :word, :line or :sentence. The default is :word.:suppressions is a boolean which, if true, will suppress breaks for common abbreviations defined for the locale. The default is true.:trim is a boolean indicating if segments the are comprised of only white space are to be excluded fromt the returned list. The default is false.Examplesiex&gt; Unicode.String.split &quot;This is a sentence. And another.&quot;, break: :word [&quot;This&quot;, &quot; &quot;, &quot;is&quot;, &quot; &quot;, &quot;a&quot;, &quot; &quot;, &quot;sentence&quot;, &quot;.&quot;, &quot; &quot;, &quot;And&quot;, &quot; &quot;, &quot;another&quot;, &quot;.&quot;] iex&gt; Unicode.String.split &quot;This is a sentence. And another.&quot;, break: :word, trim: true [&quot;This&quot;, &quot;is&quot;, &quot;a&quot;, &quot;sentence&quot;, &quot;.&quot;, &quot;And&quot;, &quot;another&quot;, &quot;.&quot;] iex&gt; Unicode.String.split &quot;This is a sentence. And another.&quot;, break: :sentence [&quot;This is a sentence. &quot;, &quot;And another.&quot;]","ref":"Unicode.String.html#split/2","title":"Unicode.String.split/2","type":"function"},{"doc":"Returns an enumerable that splits a string on demand.Argumentsstring is any String.t.options is a keyword list of options.ReturnsA function that implements the enumerable protocol or{:error, reason}Options:locale is any locale returned by Unicode.String.Segment.known_locales/0. The default is &quot;root&quot; which corresponds to the break rules defined by the Unicode Segmentation rules.:break is the type of break. It is one of :grapheme, :word, :line or :sentence. The default is :word.:suppressions is a boolean which, if true, will suppress breaks for common abbreviations defined for the locale. The default is true.:trim is a boolean indicating if segments the are comprised of only white space are to be excluded fromt the returned list. The default is false.Examplesiex&gt; enum = Unicode.String.splitter &quot;This is a sentence. And another.&quot;, break: :word, trim: true iex&gt; Enum.take enum, 3 [&quot;This&quot;, &quot;is&quot;, &quot;a&quot;]","ref":"Unicode.String.html#splitter/2","title":"Unicode.String.splitter/2","type":"function"},{"doc":"","ref":"Unicode.String.html#t:break_match/0","title":"Unicode.String.break_match/0","type":"type"},{"doc":"","ref":"Unicode.String.html#t:break_or_no_break/0","title":"Unicode.String.break_or_no_break/0","type":"type"},{"doc":"","ref":"Unicode.String.html#t:break_type/0","title":"Unicode.String.break_type/0","type":"type"},{"doc":"","ref":"Unicode.String.html#t:error_return/0","title":"Unicode.String.error_return/0","type":"type"},{"doc":"","ref":"Unicode.String.html#t:options/0","title":"Unicode.String.options/0","type":"type"},{"doc":"","ref":"Unicode.String.html#t:split_options/0","title":"Unicode.String.split_options/0","type":"type"},{"doc":"","ref":"Unicode.String.html#t:string_interval/0","title":"Unicode.String.string_interval/0","type":"type"},{"doc":"Implements the Unicode Case Folding algorithm.The intention of case folding is to faciliate case-insensitive string comparisons. It is not intended to be a general purpose transformation.Although case folding does generally use lower case as its normal form, it is not true for all scripts and codepoints. Therefore case folding should not be used as an alternative to String.downcase/1.","ref":"Unicode.String.Case.Folding.html","title":"Unicode.String.Case.Folding","type":"module"},{"doc":"Case fold a string.Returns a string after applying the Unicode Case Folding algorithm.It is recommended to call Unicode.String.fold/1,2 instead of this function.Argumentsstring is any String.t()type is one of :full or :simple. The default is :full.mode is either :turkic or nil. The default is nil.ReturnsThe case folded stringNotesNo normalization is applied to the string on either input or output.","ref":"Unicode.String.Case.Folding.html#fold/1","title":"Unicode.String.Case.Folding.fold/1","type":"function"},{"doc":"","ref":"Unicode.String.Case.Folding.html#fold/2","title":"Unicode.String.Case.Folding.fold/2","type":"function"},{"doc":"Unicode StringAdds functions supporting some string algorithms in the Unicode standard.In this initial release the following functions are defined:Unicode.String.fold/1,2 that applies the Unicode Case Folding algorithmUnicode.String.equals_ignoring_case?/2 that compares two strings for equality after applying Unicode.String.fold/2 to the arguments.","ref":"readme.html","title":"Unicode String","type":"extras"},{"doc":"iex&gt; Unicode.String.equals_ignoring_case? &quot;ABC&quot;, &quot;abc&quot; true iex&gt; Unicode.String.equals_ignoring_case? &quot;beißen&quot;, &quot;beissen&quot; true iex&gt; Unicode.String.equals_ignoring_case? &quot;grüßen&quot;, &quot;grussen&quot; false","ref":"readme.html#examples","title":"Unicode String - Examples","type":"extras"},{"doc":"The package can be installed by adding unicode_string to your list of dependencies in mix.exs:def deps do [ {:unicode_string, &quot;~&gt; 0.1.0&quot;} ] end","ref":"readme.html#installation","title":"Unicode String - Installation","type":"extras"},{"doc":"LicenseCopyright 2018 Kip ColeLicensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License athttp://www.apache.org/licenses/LICENSE-2.0Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"License","type":"extras"},{"doc":"Changelog for Unicode String v0.2.0This is the changelog for Unicode String v0.2.0 released on July 12th, 2020. For older changelogs please consult the release tag on GitHubEnhancementsThis release implements the Unicode break rules for graphemes, words, lines and sentences.Adds Unicode.String.split/2Adds Unicode.String.break?/2Adds Unicode.String.break/2Adds Unicode.String.splitter/2Adds Unicode.String.next/2Changelog for Unicode String v0.1.0This is the changelog for Unicode String v0.1.0 released on May 17th, 2020. For older changelogs please consult the release tag on GitHubEnhancementsInitial release","ref":"changelog.html","title":"Changelog for Unicode String v0.2.0","type":"extras"}]